Name:          rmic-maven-plugin
Version:       1.1
Release:       %mkrel 1
Summary:       RMI Compiler Maven Plugin
Group:         Development/Java
License:       MIT
Url:           http://mojo.codehaus.org/rmic-maven-plugin/
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/rmic-maven-plugin/1.1/rmic-maven-plugin-1.1-source-release.zip

BuildRequires: asm2
BuildRequires: bsf
BuildRequires: bsh2
BuildRequires: groovy
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-invoker
BuildRequires: maven-surefire-plugin
BuildRequires: mojo-parent
BuildRequires: plexus-archiver
BuildRequires: plexus-compiler
BuildRequires: plexus-container-default
BuildRequires: plexus-utils

Requires:      java
Requires:      jpackage-utils
Requires:      maven
Requires:      plexus-archiver
Requires:      plexus-compiler
Requires:      plexus-container-default
Requires:      plexus-utils

BuildArch:     noarch

%description
This plugin works with Maven 2 and uses the java rmic compiler to generate
classes used in remote method invocation.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
RMI Compiler Maven Plugin.

This package contains javadoc for %{name}

%prep
%setup -q -n rmic-maven-plugin-%{version}

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.beanshell \
  -DartifactId=bsh \
  -Dversion=2.0b4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsh2/bsh) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-enforcer-plugin \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.apache.maven.enforcer \
  -DartifactId=enforcer-rules \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/enforcer-rules) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/rmic-maven-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/rmic-maven-plugin.jar
  
mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.codehaus.mojo rmic-maven-plugin %{version} JPP rmic-maven-plugin
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-rmic-maven-plugin.pom

mkdir -p %{buildroot}%{_javadocdir}/rmic-maven-plugin
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/rmic-maven-plugin

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/rmic-maven-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc License.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/rmic-maven-plugin



%changelog

* Fri Oct 21 2011 gil <gil> 1.1-1.mga2
+ Revision: 157077
- imported package rmic-maven-plugin


* Sun Jul 10 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm

